// py_ex_property.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#include "stdafx.h"

#include <eter/py_tinker.h>
#include <stdio.h>

struct test
{
	int a;

	void ShowCppValue()
	{
		printf("ShowCppValue %d\n", a);
	}
};

using namespace py_tinker;

class_<test> build_test()
{
	return class_<test>("test")
		.def("a", &test::a)
		.defv("ShowCppValue", &test::ShowCppValue)
		;
}


void initeter()
{
	py_tinker::module_("eter")
		.def(build_test())
		;
}

void main()
{	
	Py_Initialize();
	Py_SetProgramName((char*)"py_test");
			
	initeter();
	py_tinker::PyEmbed_RunMainFile("ex_property.py");
	Py_Finalize();	
}

